package com.vcarecity.cvs.module;

import com.google.inject.AbstractModule;
import com.vcarecity.cvs.properties.AppProperties;

/**
 * @author Kerry on 19/11/20
 */

public class PropertiesModule extends AbstractModule {
    private final AppProperties properties;

    public PropertiesModule(AppProperties properties) {
        this.properties = properties;
    }

    @Override
    protected void configure() {
        bind(AppProperties.class).toInstance(this.properties);
    }
}
