package com.vcarecity.cvs.entity;

import com.vcarecity.cvs.annotation.Tables;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.sql.Timestamp;


/**
 * @author Kerry on 19/11/21
 */

@Tables({"T_CHECK_RECORD", "T_CHECK_RECORD_1"})
@Table(name = "T_CHECK_RECORD")
@Data
public class CheckRecordEntity {

    @Column(name = "CHECK_RECORD_ID")
    private Long checkRecordId;

    @Column(name = "STAMP")
    private Timestamp stamp;

    @Column(name = "USER_ID")
    private Long userId;

    @Column(name = "CHECK_POINTS_ID")
    private Long checkPointsId;

    @Column(name = "IS_NORMAL")
    private Integer isNormal;

    @Column(name = "IS_LATENT_DANGER")
    private Integer isLatentDanger;

    @Column(name = "LATENT_DANGER_TYPE")
    private Integer latentDangerType;

    @Column(name = "LATENT_DANGER_DESC")
    private String latentDangerDesc;

    @Column(name = "UNDETECTED_NUM")
    private String undetectedNum;

    @Column(name = "LON")
    private Double lon;

    @Column(name = "LAT")
    private Double lat;

    @Column(name = "RULE_ID")
    private Long ruleId;

    @Column(name = "IS_DEAL")
    private Integer isDeal;

    @Column(name = "STARTDATE")
    private String startDate;

    @Column(name = "ENDDATE")
    private String endDate;

    @Column(name = "VALID_CHECK")
    private Integer validCheck;

    @Column(name = "UPDATESTAMP")
    private Timestamp updateStamp;


}
