package com.vcarecity.cvs.properties;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @author Kerry on 19/11/20
 */

@Data
public class AppProperties {

    @JsonProperty("from-db")
    private DbProperties fromDb;

    @JsonProperty("to-db")
    private DbProperties toDb;

    private Export export;

    @Data
    public static class Export {
        private String folder;
    }


}
